export declare class Option {
    value: string;
    label: string;
    disabled: boolean;
    highlighted: boolean;
    selected: boolean;
    shown: boolean;
    cssClass: string;
    hidden: boolean;
    constructor(value: string, label: string, cssClass: string, hidden: boolean);
    show(): void;
    hide(): void;
    disable(): void;
    enable(): void;
    undecoratedCopy(): {
        label: string;
        value: string;
        selected: boolean;
        cssClass: string;
        hidden: boolean;
    };
}
